﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm2.aspx.cs" Inherits="ActiveReports_Print.WebForm2" %>

<%@ Register Assembly="GrapeCity.ActiveReports.Web.v7, Version=7.1.7572.0, Culture=neutral, PublicKeyToken=cc4967777c49a3ff"
    Namespace="GrapeCity.ActiveReports.Web" TagPrefix="ActiveReportsWeb" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script language="javascript" type="text/javascript">
        var viewer, viewerforprint;
        var pages;

        window.onload = function () {
            GrapeCity.ActiveReports.Viewer.OnLoad("WebViewer1", function () {
                viewer = GrapeCity.ActiveReports.Viewer.Attach("WebViewer1");
                viewer.setEventsHandler({
                    OnToolClick: function (e) {

                        // 用户点击【套打】按钮时触发
                        if (e.Tool == "套打") {
                            printreport();
                            return false;
                        }
                    },
                    OnLoadProgress: function (e) {
                        if (e.State == "Completed") {
                            pages = e.PageCount;
                        }
                    }
                });
            });

            GrapeCity.ActiveReports.Viewer.OnLoad("WebViewer2", function () {
                viewerforprint = GrapeCity.ActiveReports.Viewer.Attach("WebViewer2");
            });
        }

        // 套打操作
        function printreport() {            
            var orient = "None";
            var scale = "None";
            var from = 1;
            var to = pages;
            var ops = viewerforprint.CreatePrintOptions();
            ops.AdjustPaperOrientation = orient;
            ops.ScalePages = scale;
            ops.ClearPageRanges();
            ops.AddPageRange(from, to);

            viewerforprint.Print(ops);

        }

    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <ActiveReportsWeb:WebViewer ID="WebViewer1" runat="server" Height="650px" Width="1000px"
            ReportName="file: Reports\rptInvoice.rdlx" ViewerType="FlashViewer">
            <FlashViewerOptions MultiPageViewColumns="1" MultiPageViewRows="1" UseClientApi="True">
            </FlashViewerOptions>
        </ActiveReportsWeb:WebViewer>
        <br />
        <ActiveReportsWeb:WebViewer ID="WebViewer2" runat="server" Height="0" Width="0" ViewerType="FlashViewer">
            <FlashViewerOptions MultiPageViewColumns="1" MultiPageViewRows="1" UseClientApi="True">
            </FlashViewerOptions>
        </ActiveReportsWeb:WebViewer>
    </div>
    </form>
</body>
</html>
